<?php
function getFieldLabel_LoggerHelper($field, array $fieldRules, array $attributes = array()): string
{
  switch ($field) {
    default:
      if (strpos($fieldRules[$field], 'required') !== false) {
        array_push($attributes, 'style="color:red";');
      }
      return sprintf("<span %s>%s</span>", implode(" ", $attributes), lang("Admin/Logger.label.{$field}"));
      break;
  }
}

//header.php에서 getFieldForm_Helper사용
function getFieldForm_LoggerHelper($field, $value, array $formOptions, array $attributes = array())
{
  $value = is_null($value) ? DEFAULTS['EMPTY'] : $value;
  switch ($field) {
    case 'user_uid':
    case 'status':
      return form_dropdown($field, $formOptions[$field], $value, $attributes);
      break;
    case 'updated_at':
    case 'created_at':
      $attributes["class"] = !array_key_exists("class", $attributes) ? "calender" : $attributes["class"] . " calender";
      return form_input($field, $value, $attributes);
      break;
    default:
      return form_input($field, $value, $attributes);
      break;
  }
} //

function getFieldView_LoggerHelper($field, $entity, array $fieldFilters, array $fieldFormOptions, array $attributes = array())
{
  switch ($field) {
    case 'user_uid':
      return $fieldFormOptions[$field][$entity->$field];
      break;
    case 'status':
      return  lang("Admin/Logger." . strtoupper($field) . "." . $entity->$field);
      break;
    case 'content':
      return nl2br($entity->$field);
      break;
    default:
      if (in_array($field, $fieldFilters)) {
        return getFieldForm_LoggerHelper($field, $entity->$field, $fieldFormOptions, $attributes);
      }
      return !isset($entity->$field) ? "{$field}:{$entity->uid}" : $entity->$field;
      return $entity->$field;
      break;
  }
} //

function getFieldIndex_Column_LoggerHelper($field, $order_field, $order_value, array $attributes = array())
{
  $label = lang("Admin/Logger.label.{$field}");
  $label = $field == $order_field ? sprintf('%s <i class="fa fa-arrow-%s"></i>', $label, $order_value == 'ASC' ? "up" : "down") : $label;
  $order_value = $order_value == 'DESC' ? "ASC" : "DESC";
  return anchor(current_url() . "?order_field={$field}&order_value={$order_value}", $label, $attributes);
} //

function getFieldIndex_Row_LoggerHelper($field, array $row, array $fieldFilters, $fieldFormOptions, $attributes = array()): string
{
  switch ($field) {
    case 'title':
      return anchor(current_url() . '/view/' . $row['uid'], $row[$field], ["target" => "_self"]);
      break;
    case 'user_uid':
    case 'status':
      return $fieldFormOptions[$field][$row[$field]];
      break;
    case 'updated_at':
    case 'created_at':
      return isset($row[$field]) ? str_split($row[$field], 10)[0] : "";
      break;
    default:
      if (in_array($field, $fieldFilters)) {
        $attributes["onChange"] = sprintf('location.href="%s/toggle/%s/%s?%s="+this.options[this.selectedIndex].value', current_url(), $row['uid'], $field, $field);
        return getFieldForm_LoggerHelper($field, $row[$field], $fieldFormOptions, $attributes);
      }
      return $row[$field];
      break;
  }
} //